Remove document

DELETE
https://example.kaiten.ru/api/latest/documents/{document_uid}
Path parameters
NameTypeReference
document_uidrequiredstringDocument UID
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Document uid
id

integer

Document id
title

string

Document title
archived

boolean

Document archived flag. Always true after removal
400
DescriptionResponse typeExample
Document has child tree entities — remove or move them firstObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

string

Error code
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request DELETE \
  2       --url 'https://example.kaiten.ru/api/latest/documents/{document_uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!